### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
Option::arguments Class Reference

basic option arguments More...

`#include <ql/option.hpp>`

Inheritance diagram for Option::arguments:
[legend]

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

boost::shared_ptr< Payoff > | payoff
boost::shared_ptr< Exercise > | exercise

## Detailed Description

basic option arguments